"use strict";

var _enjoyWebSupport = require("enjoy-web-support");

var _enjoyWebSupport2 = _interopRequireDefault(_enjoyWebSupport);

var _Title = require("./tag/Title");

var _Title2 = _interopRequireDefault(_Title);

var _Back = require("./tag/Back");

var _Back2 = _interopRequireDefault(_Back);

var _Head = require("./tag/Head");

var _Head2 = _interopRequireDefault(_Head);

var _Geolocation = require("./tools/Geolocation");

var _Geolocation2 = _interopRequireDefault(_Geolocation);

var _Platform = require("./tools/Platform");

var _Platform2 = _interopRequireDefault(_Platform);

var _weixin = require("./lib/weixin");

var _weixin2 = _interopRequireDefault(_weixin);

var _index = require("./components/ScrollView/index");

var _index2 = _interopRequireDefault(_index);

var _List = require("./components/List");

var _List2 = _interopRequireDefault(_List);

var _RouterNumb = require("./components/RouterNumb");

var _RouterNumb2 = _interopRequireDefault(_RouterNumb);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

if ("wx" in window) {
	if (!window.weixinConfig || !_weixin2.default.config(window.weixinConfig)) {
		_weixin2.default.updateSign();
	}
}

module.exports = _enjoyWebSupport2.default.extend({
	Title: _Title2.default,
	Back: _Back2.default,
	Head: _Head2.default,
	Geolocation: _Geolocation2.default,
	Platform: _Platform2.default,
	ScrollView: _index2.default,
	List: _List2.default,
	weixin: _weixin2.default
});