"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _weixin = require("../lib/weixin");

var _weixin2 = _interopRequireDefault(_weixin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

var geting = false;
var list = [];

exports.default = {
	TIMEOUT: 13000,

	get: function get(params) {

		if (!params) {
			params = {};
		}

		return new Promise(function (resolve, reject) {
			_weixin2.default.ready(function () {
				wx.getLocation({
					type: 'wgs84', // 默认为wgs84的gps坐标，如果要返回直接给openLocation用的火星坐标，可传入'gcj02'
					success: function () {
						var _ref = _asyncToGenerator(regeneratorRuntime.mark(function _callee(position) {
							return regeneratorRuntime.wrap(function _callee$(_context) {
								while (1) {
									switch (_context.prev = _context.next) {
										case 0:
											resolve(position);

										case 1:
										case "end":
											return _context.stop();
									}
								}
							}, _callee, this);
						}));

						function success(_x) {
							return _ref.apply(this, arguments);
						}

						return success;
					}(),
					fail: function fail(e) {
						reject(e);
					}
				});
			}, params.weixinId);
		});
	},
	watch: function watch(listener) {},
	clearWatch: function clearWatch() {}
};