"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = undefined;

var _class, _temp;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _enjoyWebSupport = require("enjoy-web-support");

var _ScrollView = require("./ScrollView");

var _ScrollView2 = _interopRequireDefault(_ScrollView);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var defaultProps = _extends({}, _enjoyWebSupport.List.defaultProps);
if (/iPhone/i.test(navigator.userAgent)) {
    // WKWebView内核下，默认只渲染可视区域内的Item
    defaultProps.removeClippedSubviews = window.__wxjs_is_wkwebview;
} else {
    defaultProps.removeClippedSubviews = true;
}

var List = (_temp = _class = function (_WebList) {
    _inherits(List, _WebList);

    function List() {
        _classCallCheck(this, List);

        return _possibleConstructorReturn(this, (List.__proto__ || Object.getPrototypeOf(List)).apply(this, arguments));
    }

    return List;
}(_enjoyWebSupport.List), _class.defaultProps = defaultProps, _class.ScrollView = _ScrollView2.default, _temp);
exports.default = List;